## r-cran-gtable 0.2.0

=== DESCRIPTION ===
Package: gtable
Version: 0.2.0
Title: Arrange 'Grobs' in Tables
Description: Tools to make it easier to work with "tables" of 'grobs'.
Authors@R: person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre"))
Depends: R (>= 2.14)
Imports: grid
Suggests: testthat, covr
License: GPL-2
Collate: 'add-grob.r' 'add-rows-cols.r' 'add-space.r' 'grid.r'
        'gtable-layouts.r' 'gtable.r' 'rbind-cbind.r' 'utils.r'
        'trim.r' 'filter.r' 'align.r' 'padding.r' 'z.r'
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-26 13:06:10 UTC; hadley
Author: Hadley Wickham [aut, cre]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2016-02-26 15:23:14

=== debian/changelog ===
r-cran-gtable (0.2.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 13:22:30 +0200

r-cran-gtable (0.2.0-2) unstable; urgency=medium

  * Move packaging from SVN to Git
  * Rename source package to match name of binary package
  * Convert from cdbs to dh-r
  * debhelper 10
  * Drop useless uversionmangle from d/watch, version=4
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 09:27:45 +0200

gtable (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Ivo Maintz is MIA, take over package into team maintenance
  * cme fix dpkg-control
  * add autopkgtest
  * canonical homepage for cran

 -- Andreas Tille <tille@debian.org>  Tue, 18 Oct 2016 12:45:51 +0200

gtable (0.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Rebuild for R 3.0 (Closes: #706995)

 -- Don Armstrong <don@debian.org>  Wed, 08 May 2013 15:13:25 -0700

gtable (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #700861)

 -- Ivo Maintz <ivo@maintz.de>  Sun, 24 Feb 2013 16:24:01 +0100

=== debian/control ===
Source: r-cran-gtable
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
Homepage: https://cran.r-project.org/package=gtable

Package: r-cran-gtable
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Arrange grobs in tables
 A grob table captures all the information needed to layout grobs in a
 table structure. It supports row and  column spanning, offers some
 tools to automatically figure out the correct dimensions, and makes it
 easy to align and combine multiple tables.
 Each grob is put in its own viewport - grobs in the same location are
 not combined into one cell. Each grob takes up the entire cell viewport
 so justification control is not available.

=== debian/watch ===
version=4

https://cran.r-project.org/src/contrib/gtable_([\d.-]*)\.tar.gz

## r-cran-gtable 0.3.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
 Homepage: https://cran.r-project.org/package=gtable
+Rules-Requires-Root: no
 
 Package: r-cran-gtable
 Architecture: all

## r-cran-gtable 0.3.0+dfsg

=== DESCRIPTION ===
Package: gtable
Title: Arrange 'Grobs' in Tables
Version: 0.3.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Thomas Lin",
             family = "Pedersen",
             role = "aut",
             email = "thomas.pedersen@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Tools to make it easier to work with "tables" of
    'grobs'. The 'gtable' package defines a 'gtable' grob class that specifies a
    grid along with a list of grobs and their placement in the grid. Further the
    package makes it easy to manipulate and combine 'gtable' objects so that 
    complex compositions can be build up sequentially.
License: GPL-2
Depends: R (>= 3.0)
Imports: grid
Suggests: covr, testthat, knitr, rmarkdown, ggplot2, profvis
Encoding: UTF-8
RoxygenNote: 6.1.1
Collate: 'new-data-frame.r' 'add-grob.r' 'add-rows-cols.r'
        'add-space.r' 'grid.r' 'gtable-layouts.r' 'gtable-package.R'
        'gtable.r' 'rbind-cbind.r' 'utils.r' 'trim.r' 'filter.r'
        'align.r' 'padding.r' 'z.r'
URL: https://github.com/r-lib/gtable
BugReports: https://github.com/r-lib/gtable/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-03-25 14:56:43 UTC; thomas
Author: Hadley Wickham [aut, cre],
  Thomas Lin Pedersen [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-03-25 19:50:02 UTC

=== debian/changelog ===
r-cran-gtable (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 22:27:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
 Homepage: https://cran.r-project.org/package=gtable
-Rules-Requires-Root: no
 
 Package: r-cran-gtable
 Architecture: all

## r-cran-gtable 0.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gtable
 Title: Arrange 'Grobs' in Tables
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -16,25 +16,25 @@
     'grobs'. The 'gtable' package defines a 'gtable' grob class that specifies a
     grid along with a list of grobs and their placement in the grid. Further the
     package makes it easy to manipulate and combine 'gtable' objects so that 
-    complex compositions can be build up sequentially.
-License: GPL-2
+    complex compositions can be built up sequentially.
+License: MIT + file LICENSE
 Depends: R (>= 3.0)
 Imports: grid
 Suggests: covr, testthat, knitr, rmarkdown, ggplot2, profvis
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.2.1
 Collate: 'new-data-frame.r' 'add-grob.r' 'add-rows-cols.r'
         'add-space.r' 'grid.r' 'gtable-layouts.r' 'gtable-package.R'
         'gtable.r' 'rbind-cbind.r' 'utils.r' 'trim.r' 'filter.r'
         'align.r' 'padding.r' 'z.r'
-URL: https://github.com/r-lib/gtable
+URL: https://gtable.r-lib.org, https://github.com/r-lib/gtable
 BugReports: https://github.com/r-lib/gtable/issues
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-03-25 14:56:43 UTC; thomas
+Packaged: 2022-08-31 22:42:55 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Thomas Lin Pedersen [aut],
   RStudio [cph]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-03-25 19:50:02 UTC
+Date/Publication: 2022-09-01 02:40:12 UTC

=== debian/changelog ===
r-cran-gtable (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 20:39:42 +0200

r-cran-gtable (0.3.0+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 07:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-gtable
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 12~),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
 Homepage: https://cran.r-project.org/package=gtable
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
 
 Package: r-cran-gtable
 Architecture: all

## r-cran-gtable 0.3.3+dfsg

=== debian/changelog ===
r-cran-gtable (0.3.3+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 13:46:48 +0200

## r-cran-gtable 0.3.4+dfsg

=== DESCRIPTION ===
Package: gtable
Title: Arrange 'Grobs' in Tables
Version: 0.3.4
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@posit.co"),
      person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("aut", "cre"),
             email = "thomas.pedersen@posit.co"),
      person(given = "Posit Software, PBC",
             role = "cph"))
Description: Tools to make it easier to work with "tables" of
    'grobs'. The 'gtable' package defines a 'gtable' grob class that specifies a
    grid along with a list of grobs and their placement in the grid. Further the
    package makes it easy to manipulate and combine 'gtable' objects so that 
    complex compositions can be built up sequentially.
License: MIT + file LICENSE
Depends: R (>= 3.5)
Imports: cli, glue, grid, lifecycle, rlang (>= 1.1.0)
Suggests: covr, ggplot2, knitr, profvis, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://gtable.r-lib.org, https://github.com/r-lib/gtable
BugReports: https://github.com/r-lib/gtable/issues
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2023-08-21 10:36:53 UTC; thomas
Author: Hadley Wickham [aut],
  Thomas Lin Pedersen [aut, cre],
  Posit Software, PBC [cph]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Repository: CRAN
Date/Publication: 2023-08-21 11:20:02 UTC

=== debian/changelog ===
r-cran-gtable (0.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 30 Aug 2023 13:58:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: r-cran-gtable
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
 Homepage: https://cran.r-project.org/package=gtable
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               r-cran-cli,
+               r-cran-glue,
+               r-cran-lifecycle,
+               r-cran-rlang (>= 1.1.0)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gtable
 Architecture: all

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/gtable_([\d.-]*)\.tar.gz

## r-cran-gtable 0.3.5+dfsg

=== debian/changelog ===
r-cran-gtable (0.3.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Jun 2024 09:15:52 +0900

## r-cran-gtable 0.3.6+dfsg

=== DESCRIPTION ===
Package: gtable
Title: Arrange 'Grobs' in Tables
Version: 0.3.6
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Tools to make it easier to work with "tables" of 'grobs'. The
    'gtable' package defines a 'gtable' grob class that specifies a grid
    along with a list of grobs and their placement in the grid. Further
    the package makes it easy to manipulate and combine 'gtable' objects
    so that complex compositions can be built up sequentially.
License: MIT + file LICENSE
URL: https://gtable.r-lib.org, https://github.com/r-lib/gtable
BugReports: https://github.com/r-lib/gtable/issues
Depends: R (>= 4.0)
Imports: cli, glue, grid, lifecycle, rlang (>= 1.1.0), stats
Suggests: covr, ggplot2, knitr, profvis, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2024-10-25
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-10-25 12:42:05 UTC; thomas
Author: Hadley Wickham [aut],
  Thomas Lin Pedersen [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Repository: CRAN
Date/Publication: 2024-10-25 13:20:02 UTC

=== debian/changelog ===
r-cran-gtable (0.3.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 05 Nov 2024 10:01:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gtable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gtable.git
 Homepage: https://cran.r-project.org/package=gtable
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name INDEX -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-profvis,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
